summaryrefslogtreecommitdiffstats
path: root/source/ap/a2ps
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/a2ps')
-rwxr-xr-xsource/ap/a2ps/a2ps.SlackBuild158
-rw-r--r--source/ap/a2ps/a2ps.a2ps_cfg.in.diff11
-rw-r--r--source/ap/a2ps/a2ps.diff12
-rw-r--r--source/ap/a2ps/psutils.destdir.diff56
-rw-r--r--source/ap/a2ps/psutils.diff33
-rw-r--r--source/ap/a2ps/slack-desc19
6 files changed, 289 insertions, 0 deletions
diff --git a/source/ap/a2ps/a2ps.SlackBuild b/source/ap/a2ps/a2ps.SlackBuild
new file mode 100755
index 000000000..b8e5ed18e
--- /dev/null
+++ b/source/ap/a2ps/a2ps.SlackBuild
@@ -0,0 +1,158 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=a2ps
+PKGNAM2=psutils
+VERSION=${VERSION:-4.14}
+A2PS=${A2PS:-4.14}
+PSUTILS=${PSUTILS:-1.17}
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-4}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+# First, build and install psutils:
+cd $TMP
+tar xvf $CWD/$PKGNAM2-${PSUTILS}.tar.gz || exit 1
+cd $PKGNAM2
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/psutils.diff.gz | patch -p1 --verbose -E --backup --suffix=.orig || exit 1
+zcat $CWD/psutils.destdir.diff.gz | patch -p1 --verbose -E --backup --suffix=.orig || exit 1
+
+# Build and install:
+make -f Makefile.unix || exit 1
+make -f Makefile.unix install DESTDIR=$PKG || exit 1
+
+# Add a documentation directory for psutils:
+mkdir -p $PKG/usr/doc/$PKGNAM2-$PSUTILS
+cp -a \
+ LICENSE README \
+ $PKG/usr/doc/$PKGNAM2-$PSUTILS
+
+# Build, install and delete temporary psutils package for a2ps
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM2-${PSUTILS}-$ARCH-$BUILD.txz || exit 1
+echo "Installing temporary $PKGNAM2 package (this will be removed when the SlackBuild finishes)"
+/sbin/installpkg $TMP/$PKGNAM2-${PSUTILS}-$ARCH-$BUILD.txz || exit 1
+rm $TMP/$PKGNAM2-${PSUTILS}-$ARCH-$BUILD.txz || exit 1
+
+# Then, build a2ps:
+cd $TMP
+tar xvf $CWD/$PKGNAM-$VERSION.tar.bz2 || exit 1
+cd $PKGNAM-$A2PS
+
+zcat $CWD/a2ps.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+zcat $CWD/a2ps.a2ps_cfg.in.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Configure needs lispdir in case emacs is not installed at this moment:
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+lispdir="/usr/share/emacs/site-lisp" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --with-medium=letter \
+ $ARCH-slackware-linux
+
+# Build and install:
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Remove temporary psutils package:
+echo "Removing temporary psutils package"
+/sbin/removepkg $PKGNAM2-${PSUTILS}-$ARCH-$BUILD || exit 1
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/a2ps-$VERSION
+cp -a ABOUT-NLS ANNOUNCE AUTHORS COPYING ChangeLog \
+ FAQ INSTALL NEWS README THANKS TODO \
+ $PKG/usr/doc/a2ps-$VERSION
+
+# Compress info files, if any:
+if [ -d $PKG/usr/info ]; then
+ ( cd $PKG/usr/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/ap/a2ps/a2ps.a2ps_cfg.in.diff b/source/ap/a2ps/a2ps.a2ps_cfg.in.diff
new file mode 100644
index 000000000..38b9550a0
--- /dev/null
+++ b/source/ap/a2ps/a2ps.a2ps_cfg.in.diff
@@ -0,0 +1,11 @@
+--- ./etc/a2ps_cfg.in.orig 2007-12-28 19:38:58.000000000 -0600
++++ ./etc/a2ps_cfg.in 2009-03-30 20:11:06.000000000 -0500
+@@ -68,7 +68,7 @@
+ # 2) Path to the a2ps resource #
+ #################################################################
+ # Default path where a2ps dropped its library files.
+-LibraryPath: @libpath@
++LibraryPath: @libpath@:/usr/share/fonts/Type1
+
+ # It may be useful to extend it so that a2ps can see some
+ # TeX or X11 resources: it likes AFM files and PF[AB] files.
diff --git a/source/ap/a2ps/a2ps.diff b/source/ap/a2ps/a2ps.diff
new file mode 100644
index 000000000..b3140ad37
--- /dev/null
+++ b/source/ap/a2ps/a2ps.diff
@@ -0,0 +1,12 @@
+--- ./configure.orig Thu Jan 18 21:14:51 2001
++++ ./configure Thu Jan 18 21:15:16 2001
+@@ -8449,7 +8449,8 @@
+ # Find out if ghostscript is installed
+ ac_psfont_path=
+ for ac_dir in /usr/local/ghostscript/fonts \
+- /usr/local/share/ghostscript/fonts;
++ /usr/local/share/ghostscript/fonts \
++ /usr/share/ghostscript/fonts ;
+ do
+ if test "cd $ac_dir 2>/dev/null && echo *.afm"; then
+ ac_psfont_path="$ac_psfont_path:$ac_dir";
diff --git a/source/ap/a2ps/psutils.destdir.diff b/source/ap/a2ps/psutils.destdir.diff
new file mode 100644
index 000000000..f547b791e
--- /dev/null
+++ b/source/ap/a2ps/psutils.destdir.diff
@@ -0,0 +1,56 @@
+--- psutils/Makefile.unix.old 1997-11-03 23:52:00.000000000 +0000
++++ psutils/Makefile.unix 2008-09-10 08:31:00.000000000 +0000
+@@ -25,9 +25,9 @@
+
+ OS = UNIX
+
+-BINDIR = /usr/bin
++BINDIR = ${DESTDIR}/usr/bin
+ SCRIPTDIR = $(BINDIR)
+-INCLUDEDIR = /usr/share/psutils
++INCLUDEDIR = ${DESTDIR}/usr/share/psutils
+ PERL = /usr/bin/perl
+
+ BINMODE = 0755
+@@ -36,7 +36,7 @@
+ INSTALL = install -c -m $(BINMODE)
+ INSTALLMAN = install -c -m $(MANMODE)
+ MANEXT = 1
+-MANDIR = /usr/man/man$(MANEXT)
++MANDIR = ${DESTDIR}/usr/man/man$(MANEXT)
+
+ CC = gcc
+ CFLAGS = -DPAPER=\"$(PAPER)\" -DUNIX -O -Wall
+@@ -219,28 +219,28 @@
+ install: install.bin install.script install.man install.include
+
+ install.bin: $(BIN)
+- -mkdir $(BINDIR)
++ -mkdir -p $(BINDIR)
+ @for i in $(BIN); do \
+ echo Installing $$i; \
+ $(INSTALL) $$i $(BINDIR); \
+ done
+
+ install.script: $(PERLSCRIPTS) $(SHELLSCRIPTS)
+- -mkdir $(SCRIPTDIR)
++ -mkdir -p $(SCRIPTDIR)
+ @for i in $(PERLSCRIPTS) $(SHELLSCRIPTS); do \
+ echo Installing $$i; \
+ $(INSTALL) $$i $(SCRIPTDIR); \
+ done
+
+ install.include: $(INCLUDES)
+- -mkdir $(INCLUDEDIR)
++ -mkdir -p $(INCLUDEDIR)
+ @for i in $(INCLUDES); do \
+ echo Installing $$i; \
+ $(INSTALLMAN) $$i $(INCLUDEDIR); \
+ done
+
+ install.man: $(MANPAGES)
+- -mkdir $(MANDIR)
++ -mkdir -p $(MANDIR)
+ @for i in $(MANPAGES); do \
+ echo Installing manual page for $$i; \
+ $(INSTALLMAN) $$i $(MANDIR)/$$i; \
diff --git a/source/ap/a2ps/psutils.diff b/source/ap/a2ps/psutils.diff
new file mode 100644
index 000000000..4af32bd7f
--- /dev/null
+++ b/source/ap/a2ps/psutils.diff
@@ -0,0 +1,33 @@
+diff -u -r --new-file psutils.orig/Makefile.unix psutils/Makefile.unix
+--- psutils.orig/Makefile.unix Tue Mar 11 14:52:59 1997
++++ psutils/Makefile.unix Thu Jan 18 20:53:36 2001
+@@ -19,16 +19,16 @@
+ # psnup puts multiple logical pages on one physical page
+ # psresize scales and moves pages to fit on different paper sizes
+
+-PAPER=a4
++PAPER=letter
+
+ # Makefile for PSUtils under Unix
+
+ OS = UNIX
+
+-BINDIR = /usr/local/bin
++BINDIR = /usr/bin
+ SCRIPTDIR = $(BINDIR)
+-INCLUDEDIR = /usr/local/share/psutils
+-PERL = /usr/local/bin/perl
++INCLUDEDIR = /usr/share/psutils
++PERL = /usr/bin/perl
+
+ BINMODE = 0755
+ MANMODE = 0644
+@@ -36,7 +36,7 @@
+ INSTALL = install -c -m $(BINMODE)
+ INSTALLMAN = install -c -m $(MANMODE)
+ MANEXT = 1
+-MANDIR = /usr/local/share/man/man$(MANEXT)
++MANDIR = /usr/man/man$(MANEXT)
+
+ CC = gcc
+ CFLAGS = -DPAPER=\"$(PAPER)\" -DUNIX -O -Wall
diff --git a/source/ap/a2ps/slack-desc b/source/ap/a2ps/slack-desc
new file mode 100644
index 000000000..6cdc18957
--- /dev/null
+++ b/source/ap/a2ps/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+a2ps: a2ps (any to PostScript filter)
+a2ps:
+a2ps: GNU a2ps is an Any to PostScript filter. Of course it processes
+a2ps: plain text files, but also pretty prints quite a few popular
+a2ps: programming languages. Also contained in this package is psutils, a
+a2ps: collection of programs for manipulating PostScript files.
+a2ps:
+a2ps: a2ps is used by Apsfilter, so be sure to install this package if you
+a2ps: plan to do any printing.
+a2ps:
+a2ps: